<div class="manage-table" *ngIf="!isUpdate">
    <table mat-table [dataSource]="products">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> ID </th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>

        <ng-container matColumnDef="productName">
            <th mat-header-cell *matHeaderCellDef> Tên Sản Phẩm </th>
            <td mat-cell *matCellDef="let element"> {{element.productName}} </td>
        </ng-container>

        <ng-container matColumnDef="material">
            <th mat-header-cell *matHeaderCellDef> Vật Liệu </th>
            <td mat-cell *matCellDef="let element"> {{element.material}} </td>
        </ng-container>

        <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef> Kích Thước </th>
            <td mat-cell *matCellDef="let element"> {{element.size}} </td>
        </ng-container>

        <ng-container matColumnDef="imgs">
            <th mat-header-cell *matHeaderCellDef> Ảnh Minh Họa </th>
            <td mat-cell *matCellDef="let element">
                <img [src]="img" *ngFor="let img of element.imgsToList"/>
            </td>
        </ng-container>

        <ng-container matColumnDef="topic">
            <th mat-header-cell *matHeaderCellDef> Chủ Đề </th>
            <td mat-cell *matCellDef="let element">
                <span *ngFor="let topic of element.productTopics">{{topic.topic.topicName}},</span>
            </td>
        </ng-container>

        <ng-container matColumnDef="price">
            <th mat-header-cell *matHeaderCellDef> Giá </th>
            <td mat-cell *matCellDef="let element"> {{element.price}} </td>
        </ng-container>

        <ng-container matColumnDef="deleting">
            <th mat-header-cell *matHeaderCellDef> Xóa </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="primary" (click)="delete(element)">Xóa</button>
            </td>
        </ng-container>

        <ng-container matColumnDef="updating">
            <th mat-header-cell *matHeaderCellDef> Sửa </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="accent" (click)="update(element)">Sửa</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</div>
<button mat-button (click)="addContent()" color="accent">THÊM NỘI DUNG</button>

<div class="update-component" *ngIf="isUpdate">
    <form [formGroup]="formUpdate" class="formUpdate">
        <mat-form-field class="col-12">
            <input matInput placeholder="Tên Sản Phẩm " id="productName" formControlName="productName" required>
        </mat-form-field>
        <mat-form-field class="col-12">
            <input matInput placeholder="Vật Liệu" formControlName="material" id="material">
        </mat-form-field>
        <mat-form-field class="col-12">
            <input matInput placeholder="Kích Thước" formControlName="size" id="size">
        </mat-form-field>
        <mat-form-field class="col-12">
            <input matInput placeholder="Giá" formControlName="price" id="price">
        </mat-form-field>
        <div class="col-12" style="text-align: left;">
            <p style="text-align: left;display: inline;">Ảnh Minh Họa</p>&nbsp;
            <input type="file" id="fileUpload" (input)="onFileSelected($event)" style="display: none" #fileinput />
            <button type="button" mat-button class="btn-outline border-primary" (click)="fileinput.click()">Thêm
                Ảnh</button>
        </div>
        <div class="col-12 row imgs-area">
            <ng-container *ngIf="formUpdate.value['imgsToList'].length != 0; else emptyY">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3 out-card" *ngFor="let img of formUpdate.value['imgsToList']">
                    <div class="card">
                        <button mat-button class="closebtn" (click)="removeImgs(img)">
                            <mat-icon svgIcon="close"></mat-icon>
                        </button>
                        <div class="img-area">
                            <img [src]="img" />
                        </div>
                    </div>
                </div>
            </ng-container>
            <ng-template #emptyY>
                <p>Không có ảnh minh họa nào</p>
            </ng-template>
        </div>
        <div class="col-12 row imgs-area" style="text-align: left;">
            <mat-form-field class="col-12" style="text-align: left;display: inline;">
                <mat-select class="col-12" id="topic" class="btn-outline" formControlName="type">
                    <mat-option *ngFor="let type of CONST.TYPE_SEARCH.value" [value]="type">
                        {{CONST.TYPE_SEARCH.name}}: {{type.typeName}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="col-12 row imgs-area" style="text-align: left;">
            <mat-form-field class="col-12" style="text-align: left;display: inline;">
                <mat-label>Thêm Chủ Đề</mat-label>
                <mat-select class="col-12" id="topic" class="btn-outline" (selectionChange)="onChangeTopic($event)">
                    <mat-option *ngFor="let topic of topics" [value]="topic.topicId">
                        {{CONST.TOPIC_SEARCH.name}}: {{topic.topicName}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="col-12 row imgs-area">
            <ng-container *ngIf="formUpdate.value['productTopics'].length != 0; else emptyI">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3 out-card" *ngFor="let topic of formUpdate.value['productTopics']">
                    <div class="card">
                        <button mat-button class="closebtn" (click)="removeTopic(topic)">
                            <mat-icon svgIcon="close"></mat-icon>
                        </button>
                        <div class="p-area">
                            <p>{{topic.topic.topicName}}</p>
                        </div>
                    </div>
                </div>
            </ng-container>
            <ng-template #emptyI>
                <p>Không có chủ đề nào</p>
            </ng-template>
        </div>
        <div class="col-12 imgs-area">
            <button *ngIf="!isAdd" color="primary" mat-button matStepperNext type="button" [disabled]="!formUpdate.valid"
                (click)="onUpdate()">CẬP
                NHẬT</button>&nbsp;
            <button *ngIf="isAdd" color="primary" mat-button matStepperNext type="button" [disabled]="!formUpdate.valid"
                (click)="onAdd()">THÊM MỚI</button>&nbsp;
            <button color="accent" mat-button matStepperNext type="button" (click)="return()">QUAY
                VỀ</button>
        </div>
    </form>
</div>